Bug 74363 - gome-utils search tool uses \n escaped files find find
Summary: gome-utils search tool uses \n escaped files find find
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-utils (Show other bugs)
(Show other bugs)
Version: RC3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-21 21:48 UTC by James Antill
Modified: 2015-01-08 00:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-21 21:48:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Antill 2002-09-21 21:48:07 UTC
Description of Problem:
 gnome-search-tool stupidly uses -print and not -print0

Version-Release number of selected component (if applicable):
gnome-utils-2.0.2-5


How Reproducible:
 Always

Steps to Reproduce:
1. mkdir "`echo -e 'a\nb'`"
2. touch */abcd
3. search for the "abcd" file.

Actual Results:
 crapness

Expected Results:
 non crapness

Additional Information:
 This is easily solved by just passing -print0 to find, and splitting the
results on '\0' instead of '\n'.

Comment 1 Havoc Pennington 2002-09-26 20:59:32 UTC
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=94304

Will get a fix with new gnome-utils tarballs.


Note You need to log in before you can comment on or make changes to this bug.